Bug 982374 - Unable to extend storage domain due to "ERROR_CANNOT_EXTEND_CONNECTION_FAILED".
Unable to extend storage domain due to "ERROR_CANNOT_EXTEND_CONNECTION_FAILED".
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.2
x86_64 Linux
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Liron Aravot
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 16:42 EDT by Gordon Watson
Modified: 2016-02-10 11:37 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 05:25:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Watson 2013-07-08 16:42:47 EDT
Description of problem:

Trying to extend a storage domain by adding a lun on an iscsi server fails with;

2013-07-05 00:00:51,510 ERROR [org.ovirt.engine.core.bll.storage.ConnectAllHostsToLunCommand] (http-/0.0.0.0:8443-6) [422c5cb6] Transaction rolled-back for command: org.ovirt.engine.core.bll.storage.ConnectAllHostsToLunCommand.
2013-07-05 00:00:51,540 WARN  [org.ovirt.engine.core.bll.storage.ExtendSANStorageDomainCommand] (http-/0.0.0.0:8443-6) [422c5cb6] CanDoAction of action ExtendSANStorageDomain failed. Reasons:VAR__TYPE__STORAGE__DOMAIN,VAR__ACTION__EXTEND,ERROR_CANNOT_EXTEND_CONNECTION_FAILED,$lun  

See the next bug comment for details.


Version-Release number of selected component (if applicable):

RHEV-M:      3.1.2 (rhevm-3.1.0-43)
Hosts:       RHEL6.4
             vdsm-4.10.2-1.13
             libvirt-0.10.2-18.el6_4.5


How reproducible:

This has happened twice now trying a attach the same lun.


Steps to Reproduce:
1.
2.
3.

Actual results:

The lun cannot be added to the storage domain.


Expected results:

The lun can be added to the storage domain.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.